Package com.mckoi.database.jdbc

## Interface QueryResponse

    public interface QueryResponse

The response to a query executed via the 'execQuery' method in the DatabaseInterface interface. This contains general information about the result of the query.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getColumnCount()` The number of columns in the query result.
`ColumnDescription` `getColumnDescription​(int column)` The ColumnDescription object that describes column 'n' in the result.
`int` `getQueryTimeMillis()` The time, in milliseconds, that the query took to execute.
`int` `getResultID()` Returns a number that identifies this query within the set of queries executed on the connection.
`int` `getRowCount()` The total number of rows in the query result.
`java.lang.String` `getWarnings()` Returns any warnings about the query.

### Method Detail

#### getResultID

    int getResultID()

Returns a number that identifies this query within the set of queries executed on the connection. This is used for identifying this query in subsequent operations.

#### getQueryTimeMillis

    int getQueryTimeMillis()

The time, in milliseconds, that the query took to execute.

#### getRowCount

    int getRowCount()

The total number of rows in the query result. This is known ahead of time, even if no data in the query has been accessed.

#### getColumnCount

    int getColumnCount()

The number of columns in the query result.

#### getColumnDescription

    ColumnDescription getColumnDescription​(int column)

The ColumnDescription object that describes column 'n' in the result. 0 is the first column, 1 is the second column, etc.

#### getWarnings

    java.lang.String getWarnings()

Returns any warnings about the query. If there were no warnings then this can return 'null'.